pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: problem installing python25 on Debian lenny




I started building lang/python25 again, this time on an Ubuntu hardy machine, and I'm getting similar problems. I've figured out that if the native OS python is installed, pkgsrc python install breaks.

Additionally, if I build on a system without native python and create binary packages, then install that on a system with python, running / usr/pkg/bin/python2.5 brings up an identification line that corresponds to the native python. Ie:

Python 2.5.2 (r252:60911, Jul 31 2008, 17:49:46)

...which is the build in hardy. The /usr/pkg/bin/python2.5 binary is also only 5k, when it should be really be more like 1.3M.

Now, if I use the upstream Python 2.5 source and manually build and install it into an alternative directory, that version works and the id line is correct. It's starting to look like the pkgsrc build is setting some incorrect flags or doing something wonky, but having little experience with pkgsrc I can't say for sure.

Has anybody seen this before?


Wes


On Mar 10, 2009, at 2:41 PM, Wes Chow wrote:



Wes Chow wrote:
I'm a pkgsrc newbie. This is my first time messing with it.
I'm trying to build python25 on a Debian lenny system. I'm installing into a user directory (set --prefix and --varbase with bootstrap to be directories in my home). The package is building fine, but when I try to install it (bmake install PKG_DEBUG_LEVEL=2):
[lots of Compiling lines...]
Compiling /home/wesc/temp/pkgsrc-install/lib/python2.5/ xmlrpclib.py ...
Compiling /home/wesc/temp/pkgsrc-install/lib/python2.5/zipfile.py ...
*** Error code 1

I tried again as root and this time it works... which reminded me to check for whether or not I'd set UNPRIVILEGED to YES in mk.conf. I had not. I set it, cleaned, and re-built, and I still get the same error.

Is this looking like a pkgsrc python25 bug?


Wes

Stop.
bmake: stopped in /usr/local/home/wesc/temp/pkgsrc/pkgsrc/lang/ python25/work/Python-2.5.2
*** Error code 1
Stop.
bmake: stopped in /home/wesc/temp/pkgsrc/pkgsrc/lang/python25
*** Error code 1
Stop.
bmake: stopped in /home/wesc/temp/pkgsrc/pkgsrc/lang/python25
+ exitcode=1
+ /usr/bin/env PATH=/usr/local/home/wesc/temp/pkgsrc/pkgsrc/lang/ python25/work/.wrapper/bin:/usr/local/home/wesc/temp/pkgsrc/pkgsrc/ lang/python25/work/.buildlink/bin:/usr/local/home/wesc/temp/pkgsrc/ pkgsrc/lang/python25/work/.tools/bin:/usr/local/home/wesc/temp/ pkgsrc/pkgsrc/lang/python25/work/.gcc/bin:/home/wesc/temp/pkgsrc- install/bin:/usr/local/bin:/usr/bin:/bin:/usr/games /home/wesc/temp/ pkgsrc-install/bin/bmake _MAKE=/home/wesc/temp/pkgsrc-install/bin/ bmake OPSYS=Linux OS_VERSION=2.6.26 LOWER_OPSYS=linux _PKGSRCDIR=/ usr/local/home/wesc/temp/pkgsrc/pkgsrc PKGTOOLS_VERSION=20081013 _CC=/usr/bin/gcc _PATH_ORIG=/usr/local/bin:/usr/bin:/bin:/usr/games _PKGSRC_BARRIER=yes barrier-error-check : commands for target barrier-error-check; set -x; set - e; /bin/rm -f /usr/local/home/wesc/temp/pkgsrc/ pkgsrc/lang/python25/work/.warning/*.tmp; test -d /usr/ local/home/wesc/temp/pkgsrc/pkgsrc/lang/python25/work/.warning || exit 0; cd /usr/local/home/wesc/temp/pkgsrc/pkgsrc/lang/ python25/work/.warning; for file in ./*; do test "$file" != "./*" || exit 0; break; done; / bin/cat ./* | /bin/sed -e "s|^|WARNING: |" 1>&2; /bin/mv -f ./* /usr/local/home/wesc/temp/ pkgsrc/pkgsrc/lang/python25/work/.warning-done
+ set -e
+ /bin/rm -f '/usr/local/home/wesc/temp/pkgsrc/pkgsrc/lang/python25/ work/.warning/*.tmp' + test -d /usr/local/home/wesc/temp/pkgsrc/pkgsrc/lang/python25/ work/.warning + cd /usr/local/home/wesc/temp/pkgsrc/pkgsrc/lang/python25/ work/.warning
+ for file in './*'
+ test './*' '!=' './*'
+ exit 0
: commands for target barrier-error-check; set -x; set - e; /bin/rm -f /usr/local/home/wesc/temp/pkgsrc/ pkgsrc/lang/python25/work/.error/*.tmp; test -d /usr/local/ home/wesc/temp/pkgsrc/pkgsrc/lang/python25/work/.error || exit 0; cd /usr/local/home/wesc/temp/pkgsrc/pkgsrc/lang/ python25/work/.error; for file in ./*; do test "$file" != "./*" || exit 0; break; done; / bin/cat * | /bin/sed -e "s|^|ERROR: |" 1>&2; if /usr/bin/awk 'END { exit (NR > 0) ? 0 : 1; }' ./*; then /bin/mv -f ./* /usr/local/home/wesc/temp/ pkgsrc/pkgsrc/lang/python25/work/.error-done; exit 1; fi
+ set -e
+ /bin/rm -f '/usr/local/home/wesc/temp/pkgsrc/pkgsrc/lang/python25/ work/.error/*.tmp' + test -d /usr/local/home/wesc/temp/pkgsrc/pkgsrc/lang/python25/ work/.error + cd /usr/local/home/wesc/temp/pkgsrc/pkgsrc/lang/python25/ work/.error
+ for file in './*'
+ test './*' '!=' './*'
+ exit 0
+ exit 1
*** Error code 1
Stop.
bmake: stopped in /home/wesc/temp/pkgsrc/pkgsrc/lang/python25
Any hints?
Thanks,
Wes




Home | Main Index | Thread Index | Old Index